%define upstream_name    Text-WikiFormat
%define upstream_version 0.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Module for translating Wiki formatted text into other formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.300.0
BuildRequires: perl(URI::Escape) >= 0.10.0
BuildArch:  noarch

%description
Text::WikiFormat converts text in a simple Wiki markup language to whatever
your little heart desires, provided you can describe it accurately in a
semi-regular tag language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Text
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.810.0-5.mga6
+ Revision: 1035182
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.810.0-4.mga6
+ Revision: 933805
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.810.0-3.mga5
+ Revision: 741755
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.810.0-2.mga5
+ Revision: 686667
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.810.0-1.mga5
+ Revision: 586084
- update to 0.81

* Fri Oct 18 2013 umeabot <umeabot> 0.800.0-3.mga4
+ Revision: 515636
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 374250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.800.0-1.mga3
+ Revision: 295147
- update to 0.80

* Sat Jan 22 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 31364
- mageia rebuild
- imported package perl-Text-WikiFormat


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.790.0-1mdv2010.0
+ Revision: 406193
- rebuild using %%perl_convert_version

* Thu Jul 10 2008 Michael Scherer <misc@mandriva.org> 0.79-2mdv2009.0
+ Revision: 233583
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Michael Scherer <misc@mandriva.org> 0.79-1mdv2008.0
+ Revision: 46490
- 0.79

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.78-2mdv2008.0
+ Revision: 23638
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.78-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Sat Apr 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.78-1mdk
- New release 0.78

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.77-1mdk
- New release 0.77
- spec cleanup
- don't ship empty directories
- don't need to remove signature check

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.76-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 misc@mandriva.org 0.76-1mdk
- First mandriva package

